Add device filter (or group)

This API endpoint allows the addition of a device filter by creating a new DeviceFilter object. It expects an HTTP POST request with a DeviceFilter provided in the request body. The API verifies the logged user's permissions, sets the owner and domain of the filter, and then saves it. It's important to note that a group can be thought of as a specific type of filter that is further refined by tags.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Device Group definition

string

Id of the associated filter

rootNode
object
required

Root filter tree

string

Filter's name

string

A description of the filter

boolean

States if filter is a group filter

string

The owner of the filter

string

Filter's domain

deviceTagList
array of objects

A list of the devices tags

deviceTagList
userAuthorityTagsList
array of objects

A list of the permission tags that determine which groups the user is allowed to see

userAuthorityTagsList
boolean

states if group is limit by user authority tags

string

A hex code for the color associated with the filter

string

Icon for the filter

boolean

Flag stating if the filter is a school filter

boolean

flag stating if the filter is synced from Google

int64

Id for the classroom associated with the filter

currentRoom
object

HashMap for the current classroom room

string

password for the filter

properties
object

HashMap stating different properties of the filter

packages
array of strings

Filter's packages

packages
string
profilesList
array of strings

Filter's list of profiles id

profilesList
packagesRepoItems
array of strings
packagesRepoItems
boolean
boolean
boolean
Responses

400

Bad Request

401

Unauthorized

403

Forbidden

429

Too Many Requests

503

Service Unavailable

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json